## mylvmbackup 0.8

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.6
+VERSION = 0.8
 MAN1 = man/$(NAME).1
 DISTFILES = COPYING \
 	INSTALL \
