## mylvmbackup 0.10

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.9
+VERSION = 0.10
 MAN1 = man/$(NAME).1
 DISTFILES = COPYING \
 	INSTALL \
@@ -84,7 +84,6 @@
 	if test -d $(distdir) ; then $(RM) -rf $(distdir) ; fi
 	mkdir $(distdir)
 	$(CP) -a $(DISTFILES) $(distdir)
-	$(RM) -rf `$(FIND) $(distdir) -type d -name .svn -print`
 
 dist: distdir
 	$(TAR) chof - $(distdir) | $(GZIP) -c > $(distdir).tar.gz
