## mylvmbackup 0.11

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,8 @@
 #
 
 # required programs
-A2X = /usr/bin/a2x
-A2XMANFLAGS = -d manpage -f manpage
-A2XHTMLFLAGS = -d manpage -f xhtml
+POD2MAN = /usr/bin/pod2man
+POD2HTML = /usr/bin/pod2html
 CHMOD = /bin/chmod
 CP = /bin/cp
 FIND = /usr/bin/find
@@ -14,8 +13,7 @@
 INSTALL_DATA = $(INSTALL) -m 644
 INSTALL_PROGRAM = $(INSTALL) -m 755
 INSTALL_CONF = $(INSTALL) -m 600
-POD2MAN = /usr/bin/pod2man
-POD2TEXT = /usr/bin/pod2text
+MV = /bin/mv
 RM = /bin/rm
 RPMBUILD = /usr/bin/rpmbuild
 RPMFLAGS = -ta --clean
@@ -26,9 +24,10 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.10
+VERSION = 0.11
 MAN1 = man/$(NAME).1
 DISTFILES = COPYING \
+	CREDITS \
 	INSTALL \
 	ChangeLog \
 	Makefile \
@@ -59,12 +58,11 @@
 	$(CHMOD) 755 $@
 
 $(MAN1):
-	$(A2X) $(A2XMANFLAGS) $(MAN1).txt
-	$(RM) $(MAN1).xml
+	$(POD2MAN) man/$(NAME).pod > $(MAN1)
 
 htmlman:
-	$(A2X) $(A2XHTMLFLAGS) $(MAN1).txt
-	$(RM) $(MAN1).xml
+	$(POD2HTML) man/$(NAME).pod > man/$(NAME).html
+	$(RM) -f pod2htmd.tmp  pod2htmi.tmp
 
 install: all
 	test -d $(DESTDIR)$(bindir) || $(INSTALL) -d $(DESTDIR)$(bindir)
@@ -73,6 +71,7 @@
 	test -d $(DESTDIR)$(datadir) || $(INSTALL) -d $(DESTDIR)$(datadir)
 	$(INSTALL_PROGRAM) $(NAME) $(DESTDIR)$(bindir)
 	$(INSTALL_DATA) $(MAN1) $(DESTDIR)$(man1dir)/$(NAME).1
+	if test -f $(DESTDIR)$(sysconfdir)/$(NAME).conf ; then $(MV) $(DESTDIR)$(sysconfdir)/$(NAME).conf $(DESTDIR)$(sysconfdir)/$(NAME).conf.bak ; fi
 	$(INSTALL_CONF) $(NAME).conf $(DESTDIR)$(sysconfdir)
 
 uninstall:
