## mylvmbackup 0.13

=== Makefile ===
--- 
+++ 
@@ -24,19 +24,23 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.11
+VERSION = 0.13
+BUILDDATE = $(shell date +%Y-%m-%d)
 MAN1 = man/$(NAME).1
-DISTFILES = COPYING \
+HOOKS := $(wildcard hooks/*.pm)
+DISTFILES = \
+	ChangeLog \
+	COPYING \
 	CREDITS \
+	hooks \
 	INSTALL \
-	ChangeLog \
 	Makefile \
 	man \
 	$(NAME) \
+	$(NAME).conf \
 	$(NAME).pl.in \
 	$(NAME).spec \
 	$(NAME).spec.in \
-	$(NAME).conf \
 	README \
 	TODO
 CLEANFILES = $(NAME).spec $(NAME) $(MAN1) $(MAN1).html
@@ -54,14 +58,15 @@
 	$(SED) -e s/@VERSION@/$(VERSION)/ < $< > $@
 
 $(NAME): $(NAME).pl.in
-	$(SED) -e s/@VERSION@/$(VERSION)/ < $< > $@
+	$(SED) -e s/@BUILDDATE@/$(BUILDDATE)/ \
+	       -e s/@VERSION@/$(VERSION)/ < $< > $@
 	$(CHMOD) 755 $@
 
 $(MAN1):
 	$(POD2MAN) man/$(NAME).pod > $(MAN1)
 
 htmlman:
-	$(POD2HTML) man/$(NAME).pod > man/$(NAME).html
+	$(POD2HTML) man/$(NAME).pod > $(MAN1).html
 	$(RM) -f pod2htmd.tmp  pod2htmi.tmp
 
 install: all
@@ -73,11 +78,13 @@
 	$(INSTALL_DATA) $(MAN1) $(DESTDIR)$(man1dir)/$(NAME).1
 	if test -f $(DESTDIR)$(sysconfdir)/$(NAME).conf ; then $(MV) $(DESTDIR)$(sysconfdir)/$(NAME).conf $(DESTDIR)$(sysconfdir)/$(NAME).conf.bak ; fi
 	$(INSTALL_CONF) $(NAME).conf $(DESTDIR)$(sysconfdir)
+	for HOOK in $(HOOKS) ; do if [ ! -f $(DESTDIR)$(datadir)/$$HOOK ] ; then $(INSTALL_DATA) -v $$HOOK $(DESTDIR)$(datadir) ; fi ; done
 
 uninstall:
 	$(RM) -f $(DESTDIR)$(bindir)/$(NAME)
 	$(RM) -f $(DESTDIR)$(man1dir)/$(NAME).1
 	$(RM) -f $(DESTDIR)$(sysconfdir)/$(NAME).conf
+	for HOOK in $(notdir $(HOOKS)) ; do $(RM) -f $(DESTDIR)$(datadir)/$$HOOK ; done
 
 distdir: all
 	if test -d $(distdir) ; then $(RM) -rf $(distdir) ; fi
