## mylvmbackup 0.15

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,19 @@
 #
 # Simple Makefile for mylvmbackup
 #
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# 
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
 # required programs
 POD2MAN = /usr/bin/pod2man
@@ -9,12 +22,13 @@
 CP = /bin/cp
 FIND = /usr/bin/find
 GZIP = /bin/gzip
-INSTALL = /usr/bin/install
+INSTALL = /usr/bin/install -p
 INSTALL_DATA = $(INSTALL) -m 644
 INSTALL_PROGRAM = $(INSTALL) -m 755
 INSTALL_CONF = $(INSTALL) -m 600
 MV = /bin/mv
 RM = /bin/rm
+PERL = /usr/bin/perl
 RPMBUILD = /usr/bin/rpmbuild
 RPMFLAGS = -ta --clean
 SED = /bin/sed
@@ -24,7 +38,7 @@
 # define some variables
 
 NAME = mylvmbackup
-VERSION = 0.13
+VERSION = 0.15
 BUILDDATE = $(shell date +%Y-%m-%d)
 MAN1 = man/$(NAME).1
 HOOKS := $(wildcard hooks/*.pm)
@@ -49,7 +63,7 @@
 bindir = $(prefix)/bin
 datadir = $(prefix)/share/mylvmbackup
 distdir = $(NAME)-$(VERSION)
-mandir = $(prefix)/man
+mandir = $(prefix)/share/man
 man1dir = $(mandir)/man1
 
 all: $(DISTFILES) $(MAN1)
@@ -59,6 +73,7 @@
 
 $(NAME): $(NAME).pl.in
 	$(SED) -e s/@BUILDDATE@/$(BUILDDATE)/ \
+	       -e s_@PERL@_$(PERL)_ \
 	       -e s/@VERSION@/$(VERSION)/ < $< > $@
 	$(CHMOD) 755 $@
 
@@ -68,6 +83,9 @@
 htmlman:
 	$(POD2HTML) man/$(NAME).pod > $(MAN1).html
 	$(RM) -f pod2htmd.tmp  pod2htmi.tmp
+
+install-bin: $(NAME)
+	$(INSTALL_PROGRAM) $(NAME) $(DESTDIR)$(bindir)
 
 install: all
 	test -d $(DESTDIR)$(bindir) || $(INSTALL) -d $(DESTDIR)$(bindir)
@@ -104,3 +122,6 @@
 
 maintainer-clean: clean
 	$(RM) -f $(distdir).tar.gz
+
+syntaxcheck:
+	$(PERL) -c $(NAME).pl.in
