=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v

# Use consistent date for reproducible builds
BUILDDATE=$(shell date -u "+%Y-%m-%d" -d "@$(SOURCE_DATE_EPOCH)")

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build -- BUILDDATE=$(BUILDDATE)

override_dh_auto_install:
	dh_auto_install -- prefix=/usr

# Use override_dh_* targets to customize this.
# ---------------------------------------------------
# Followings are the old debian/rules
#
# #!/usr/bin/make -f
# # Uncomment this to turn on verbose mode.
# #export DH_VERBOSE=1
# #export DH_OPTIONS=-v
# 
# %:
# 	dh  $@
# 
# # Use override_dh_* targets to customize this.
# # ---------------------------------------------------
# # Followings are the old debian/rules
# #
# # #!/usr/bin/make -f
# # # -*- makefile -*-
# # # Sample debian/rules that uses debhelper.
# # # This file was originally written by Joey Hess and Craig Small.
# # # As a special exception, when this file is copied by dh-make into a
# # # dh-make output file, you may use that output file without restriction.
# # # This special exception was added by Craig Small in version 0.37 of dh-make.
# # 
# # # Uncomment this to turn on verbose mode.
# # #export DH_VERBOSE=1
# # 
# # 
# # include /usr/share/dpatch/dpatch.make
# # 
# # configure: configure-stamp
# # configure-stamp:
# # 	dh_testdir
# # 	# Add here commands to configure the package.
# # 
# # 	touch configure-stamp
# # 
# # 
# # build: build-stamp
# # 
# # build-stamp: configure-stamp patch
# # 	dh_testdir
# # 
# # 	# Add here commands to compile the package.
# # 	$(MAKE)
# # 	#docbook-to-man debian/mylvmbackup.sgml > mylvmbackup.1
# # 
# # 	touch $@
# # 
# # clean: unpatch
# # 	dh_testdir
# # 	dh_testroot
# # 	rm -f build-stamp configure-stamp
# # 
# # 	# Add here commands to clean up after the build process.
# # 	$(MAKE) clean
# # 
# # 	dh_clean 
# # 
# # install: build
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_clean -k 
# # 	dh_installdirs
# # 
# # 	# Add here commands to install the package into debian/mylvmbackup.
# # 	$(MAKE) prefix=/usr DESTDIR=$(CURDIR)/debian/mylvmbackup install
# # 
# # # Build architecture-independent files here.
# # binary-indep: build install
# # 	dh_testdir
# # 	dh_testroot
# # 	dh_installchangelogs ChangeLog
# # 	dh_installdocs
# # 	dh_installexamples
# # #	dh_install
# # #	dh_installmenu
# # #	dh_installdebconf	
# # #	dh_installlogrotate
# # #	dh_installemacsen
# # #	dh_installpam
# # #	dh_installmime
# # #	dh_python
# # #	dh_installinit
# # #	dh_installcron
# # #	dh_installinfo
# # 	dh_installman
# # 	dh_link
# # 	dh_strip
# # 	dh_compress
# # 	dh_fixperms
# # #	dh_perl
# # #	dh_makeshlibs
# # 	dh_installdeb
# # 	dh_shlibdeps
# # 	dh_gencontrol
# # 	dh_md5sums
# # 	dh_builddeb
# # 
# # binary: binary-indep binary-arch
# # .PHONY: build clean binary-indep binary-arch binary install configure unpatch
